Bug 1348631 - CPU Right Size recommendations only take into account CPU sockets, not cores per socket
CPU Right Size recommendations only take into account CPU sockets, not cores ...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: C&U Capacity and Utilization (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.6.2
Assigned To: Adam Grare
Dmitry Misharov
c&u
: ZStream
Depends On: 1299809
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-21 11:50 EDT by John Prause
Modified: 2016-10-04 10:27 EDT (History)
8 users (show)

See Also:
Fixed In Version: 5.6.2.0
Doc Type: Bug Fix
Doc Text:
Previously, CPU right-size recommendations only reported CPU sockets, not cores per socket. This caused CPU right-size recommendations to incorrectly report a virtual machine with 1 socket and 4 cores as having 1 total CPU. This has been fixed in the code that calculates right-size recommendations, which now uses the cpu_total_cores value to instead of num_cpu to correctly report the total number of logical CPUs.
Story Points: ---
Clone Of: 1299809
Environment:
Last Closed: 2016-10-04 10:27:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: VMware


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1996 normal SHIPPED_LIVE Important: CFME 4.1 bug fixes and enhancement update 2016-10-04 14:26:13 EDT

  None (edit)
Comment 1 Oleg Barenboim 2016-09-06 11:40:55 EDT
Darga Backport details:

$ git log

commit a3fa5b8ff39a600bdfa7d0249727ef50fafa1620
Author: Greg Blomquist <blomquisg@gmail.com>
Date:   Tue Aug 9 15:23:08 2016 -0400

    Merge pull request #10329 from agrare/bz_1299809_cpu_right_size
    
    Display total cpu cores for right sizing
    (cherry picked from commit 50eeee6a18b0e84c4eaa7cd2d27acf95af4db770)
Comment 2 Oleg Barenboim 2016-09-06 11:41:31 EDT
Darga Backport details:

$ git log

commit a3fa5b8ff39a600bdfa7d0249727ef50fafa1620
Author: Greg Blomquist <blomquisg@gmail.com>
Date:   Tue Aug 9 15:23:08 2016 -0400

    Merge pull request #10329 from agrare/bz_1299809_cpu_right_size
    
    Display total cpu cores for right sizing
    (cherry picked from commit 50eeee6a18b0e84c4eaa7cd2d27acf95af4db770)
Comment 3 Dmitry Misharov 2016-09-16 07:41:42 EDT
Fixed and verified in 5.6.2.0.20160913114355_70e9086. Right Size recommendations shows correct amount of cpus.
Comment 5 errata-xmlrpc 2016-10-04 10:27:51 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1996.html

Note You need to log in before you can comment on or make changes to this bug.